#ifndef MATHEMATICALMATERIALSCHEMISTRY_GENERIC_MATHEMATICALCHEMICALELEMENT_H
#define MATHEMATICALMATERIALSCHEMISTRY_GENERIC_MATHEMATICALCHEMICALELEMENT_H

#include <string>

#include "ModelChemicalElement.h"


namespace MathematicalMaterialsChemistry
{
	namespace Generic
	{
		class MathematicalChemicalElement :public MathematicalCrystalChemistry::StructureModel::ChemicalElements::ModelChemicalElement
		{
// **********************************************************************************************************************************************************************************************************************************************************************************************
		// Constructors, destructor, and operators

		public:
			explicit MathematicalChemicalElement(const std::string& elementSymbol);
			virtual ~MathematicalChemicalElement() = default;

			MathematicalChemicalElement(const MathematicalChemicalElement&) = default;
			MathematicalChemicalElement(MathematicalChemicalElement&&) noexcept = default;
			MathematicalChemicalElement& operator=(const MathematicalChemicalElement&) = default;
			MathematicalChemicalElement& operator=(MathematicalChemicalElement&&) noexcept = default;

		// Constructors, destructor, and operators
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
		// Access methods


		};
	}
}


#endif // !MATHEMATICALMATERIALSCHEMISTRY_GENERIC_MATHEMATICALCHEMICALELEMENT_H
