#include "NumericalVectorBase.h"

using namespace MathToolkit::Generic::Internal;


// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// Constructors

template <>
NumericalVectorBase<double>::NumericalVectorBase()
	: m_valueArray{}
{
}

template <>
NumericalVectorBase<std::complex<double>>::NumericalVectorBase()
	: m_valueArray{}
{
}

template <>
NumericalVectorBase<double>::NumericalVectorBase(std::initializer_list<value_type> init)
	: m_valueArray(init)
{
}

template <>
NumericalVectorBase<std::complex<double>>::NumericalVectorBase(std::initializer_list<value_type> init)
	: m_valueArray(init)
{
}

template <>
NumericalVectorBase<double>::NumericalVectorBase(const size_type size, const value_type value)
	: m_valueArray(value, size)
{
}

template <>
NumericalVectorBase<std::complex<double>>::NumericalVectorBase(const size_type size, const value_type value)
	: m_valueArray(value, size)
{
}

// Constructors
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
